﻿<Window
    x:Class="WpfApp1.ListBox"
    xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
    xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
    xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
    xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
    Title="ListBox"
    Width="300"
    Height="300"
    mc:Ignorable="d">
    <Grid>
        <StackPanel>
            <ListBox
                x:Name="MyListBox"
                Width="260"
                Height="180"
                Margin="10"
                HorizontalAlignment="Left"
                VerticalAlignment="Top">
                <ListBox.ItemTemplate>
                    <DataTemplate>
                        <StackPanel Orientation="Horizontal">
                            <Image
                                Width="50"
                                Height="50"
                                Margin="10"
                                Source="{Binding FileName}" />
                            <TextBlock
                                Margin="10"
                                VerticalAlignment="Center"
                                Text="{Binding Name}" />
                        </StackPanel>
                    </DataTemplate>
                </ListBox.ItemTemplate>
            </ListBox>
            <StackPanel Orientation="Horizontal">
                <RadioButton
                    x:Name="SingleRadioButton"
                    Checked="RadioButton_Checked"
                    Content="Single" />
                <RadioButton
                    x:Name="ExtendedeRadioButton"
                    Checked="RadioButton_Checked"
                    Content="Extendede" />
                <RadioButton
                    x:Name="MultipleRadioButton"
                    Checked="RadioButton_Checked"
                    Content="Multiple" />
            </StackPanel>
            <Button
                Click="Button_Click"
                Content="Check"
                FontSize="20" />
        </StackPanel>
    </Grid>
</Window>